﻿
@{
    ViewBag.Title = "Index";
}

<div class="row">
    <div class="col-md-12">
        <h2>
            Product List
        </h2>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="pull-right" style="margin-bottom: 10px">
            <button type="button" onclick="showCreate()" class="btn btn-primary btn-sm"><i class="glyphicon glyphicon-plus"></i> Add New</button>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <table id="product-dt" class="table table-striped table-bordered"></table> 
    </div> 
</div>

<div id="modal-container" class="modal fade" data-backdrop="static"></div>

@section scripts{
    <script type="text/javascript">
        var lengthMenu = [[10, 25, 50, 100], [10, 25, 50, 100]];
        var productdt; 
        $(function () {
            productdt = {
                dt: null,
                init: function () {
                    dt = $('#product-dt').DataTable({
                        serverSide: true,
                        processing: true,
                        ajax: {
                            url: "@Url.Action("Get", "Products")"
                        },
                        aaSorting: [[1, 'asc']],
                        columns: [
                            {
                                data: 'ProductID',
                                sortable: false,
                                render: function (data, type, full, meta) {
                                    return '<a id="btnDetail" href="javascript:showDetail(' + data + ')"><i class="glyphicon glyphicon-search"></i></a>' +
                                        '<a id="btnEdit" href="javascript:showEdit(' + data + ')" style="color: green; margin-left: 5px"><i class="glyphicon glyphicon-edit"></i></a>' +
                                        '<a id="btnDetail" href="javascript:deleteData(' + data + ')" style="color: red; margin-left: 5px"><i class="glyphicon glyphicon-remove"></i></a>';
                                }
                            },
                            { title: 'Product ID', data: 'ProductID' },
                            { title: 'Product Name', data: 'ProductName' }, 
                            { title: 'Supplier', data: 'CompanyName' },
                            { title: 'Category', data: 'CategoryName' }, 
                            { title: 'Quantity Pe rUnit', data: 'QuantityPerUnit' },
                            { title: 'UnitPrice', data: 'UnitPrice' }
                        ],
                        lengthMenu: lengthMenu
                    });
                },
                refresh: function () {
                    dt.ajax.reload();
                }
            };
            
            productdt.init(); 
        });

        function showDetail(id) {
            $.get("Products/Details/"+id, function (data) {
                $('#modal-container').html(data);
                $('#modal-container').modal();
            }); 
        }
        function showEdit(id) {
            $.get("Products/Edit/" + id, function (data) {
                $('#modal-container').html(data);
                $('#modal-container').modal();
            }); 
        }

        function showCreate() {
            $.get("Products/Create", function (data) {
                $('#modal-container').html(data);
                $('#modal-container').modal();
            }); 
        }

        function OnSuccess(data) {
            if (data !== 'success') {
                $("#modal-container").html(data);
                return;
            }
            $("#modal-container").modal('hide');
            $("#modal-container").html("");
            productdt.refresh();
        }

        function deleteData(id){
            
        }

    </script>
}

@*Lookup Category*@
@Html.Action("Lookup", "Categories")

@*Lookup Supplier*@
@Html.Action("Lookup", "Suppliers")